Ergebnis 1 bis 6 von 6

Thema: UnicodeDecodeError

  1. #1
    HTML Newbie
    Registriert seit
    14.01.2010
    Beiträge
    6
    Danke
    0
    Bekam 0 mal "Danke" in 0 Postings

    Standard UnicodeDecodeError

    Hallo,

    ich habe sehr viele UnicodeDecodeError im Fehlerlog.
    Beim livesearch, dann beim Veröffentlichen von Seiten und seit kurzem sogar beim Speichern von veränderten Seiten.

    Bisher habe ich nur in Foren den Tipp mit dem Anlegen von sitecustomize.py gefunden, was aber systemweite Auswirkung auf Python hat und auch nicht empfohlen wird (der Admin macht es auch nicht).

    Gibt es eine Möglichkeit, das nur für die Plone-Instanz oder auch für die zope-Installation umzustellen?

    Oder gibt es andere Möglichkeiten, das Problem zu lösen?


    Zur Info: Plone Version 2.5.1-4etch3 und zope2.9 ist installiert. Update momentan noch nicht möglich...
    Würde mich über Lösungen sehr freuen..

    Liebe Grüße,
    Christian



    Achtung: Dies ist ein alter Thread im HTML und Webmaster Forum
    Diese Diskussion ist älter als 90 Tage. Die darin enthaltenen Informationen sind möglicherweise nicht mehr aktuell. Erstelle bitte zu deiner Frage ein neues Thema im Forum !!!!!

  2. #2
    Meister(in)
    Registriert seit
    08.12.2007
    Ort
    Tübingen
    Beiträge
    266
    Danke
    0
    Bekam 0 mal "Danke" in 0 Postings

    Standard AW: UnicodeDecodeError

    Zitat Zitat von einfach_chris Beitrag anzeigen
    Hallo,

    ich habe sehr viele UnicodeDecodeError im Fehlerlog.
    Beim livesearch, dann beim Veröffentlichen von Seiten und seit kurzem sogar beim Speichern von veränderten Seiten.

    Ohne vollen Traceback kann man leider nicht helfen.

  3. #3
    HTML Newbie
    Themenstarter

    Registriert seit
    14.01.2010
    Beiträge
    6
    Danke
    0
    Bekam 0 mal "Danke" in 0 Postings

    Standard AW: UnicodeDecodeError

    Reicht das aus? Bin immer noch auf der Suche nach einer Lösung...


    Traceback (innermost last):
    Module ZPublisher.Publish, line 115, in publish
    Module ZPublisher.mapply, line 88, in mapply
    Module ZPublisher.Publish, line 41, in call_object
    Module Products.CMFCore.FSPythonScript, line 108, in __call__
    Module Shared.DC.Scripts.Bindings, line 311, in __call__
    Module Shared.DC.Scripts.Bindings, line 348, in _bindAndExec
    Module Products.CMFCore.FSPythonScript, line 164, in _exec
    Module None, line 119, in livesearch_reply
    - <FSPythonScript at /friedensschule/livesearch_reply>
    - Line 119
    Module RestrictedPython.PrintCollector, line 23, in __call__
    UnicodeDecodeError: 'ascii' codec can't decode byte 0xc3 in position 91: ordinal not in range(128 )

  4. #4
    Meister(in)
    Registriert seit
    08.12.2007
    Ort
    Tübingen
    Beiträge
    266
    Danke
    0
    Bekam 0 mal "Danke" in 0 Postings

    Standard AW: UnicodeDecodeError

    Zitat Zitat von einfach_chris Beitrag anzeigen
    Reicht das aus? Bin immer noch auf der Suche nach einer Lösung...


    Traceback (innermost last):
    Module ZPublisher.Publish, line 115, in publish
    Module ZPublisher.mapply, line 88, in mapply
    Module ZPublisher.Publish, line 41, in call_object
    Module Products.CMFCore.FSPythonScript, line 108, in __call__
    Module Shared.DC.Scripts.Bindings, line 311, in __call__
    Module Shared.DC.Scripts.Bindings, line 348, in _bindAndExec
    Module Products.CMFCore.FSPythonScript, line 164, in _exec
    Module None, line 119, in livesearch_reply
    - <FSPythonScript at /friedensschule/livesearch_reply>
    - Line 119
    Module RestrictedPython.PrintCollector, line 23, in __call__
    UnicodeDecodeError: 'ascii' codec can't decode byte 0xc3 in position 91: ordinal not in range(128 )

    Möglicherweise gefixt in einer aktuelleren 2.5.X Version -> Upgrade ausprobieren. 2.5.1 ist sicherlich nicht die aktuellste 2.5er Version.

  5. #5
    HTML Newbie
    Themenstarter

    Registriert seit
    14.01.2010
    Beiträge
    6
    Danke
    0
    Bekam 0 mal "Danke" in 0 Postings

    Standard AW: UnicodeDecodeError

    Danke für den Tipp. Der Server Admin hat angemerkt, dass es unter Debian selbst nur die 2.5.1 Version gibt. Ein Update auf die 3'er Version ist momentan wohl noch nicht möglich wegen Kompatibilitätsproblemen von anderen Projekten...

    Gibt es vielleicht noch andere Möglichkeiten?

  6. #6
    HTML Newbie
    Themenstarter

    Registriert seit
    14.01.2010
    Beiträge
    6
    Danke
    0
    Bekam 0 mal "Danke" in 0 Postings

    Standard AW: UnicodeDecodeError

    http://zope-cmfplone.sourcearchive.c...loads/2.5.2-3/

    Rückmeldung: hier gabs wohl alles, um ein debian paket zu basteln...
    Die Fehler tauchen auch nicht mehr auf im Fehlerprotokoll!!!



Ähnliche Themen

  1. UnicodeDecodeError bei Searchbox
    Von Seawolf-371 im Forum Zope & Plone - das deutsche Hilfeforum
    Antworten: 1
    Letzter Beitrag: 26.02.2007, 12:58

Stichworte

Berechtigungen

  • Neue Themen erstellen: Nein
  • Themen beantworten: Nein
  • Anhänge hochladen: Nein
  • Beiträge bearbeiten: Nein
  •